## Get multiple key-value pairs `client.kv.namespaces.bulkGet(stringnamespaceId, NamespaceBulkGetParamsparams, RequestOptionsoptions?): NamespaceBulkGetResponse | null` **post** `/accounts/{account_id}/storage/kv/namespaces/{namespace_id}/bulk/get` Retrieve up to 100 KV pairs from the namespace. Keys must contain text-based values. JSON values can optionally be parsed instead of being returned as a string value. Metadata can be included if `withMetadata` is true. ### Parameters - `namespaceId: string` Namespace identifier tag. - `params: NamespaceBulkGetParams` - `account_id: string` Path param: Identifier. - `keys: Array` Body param: Array of keys to retrieve (maximum of 100). - `type?: "text" | "json"` Body param: Whether to parse JSON values in the response. - `"text"` - `"json"` - `withMetadata?: boolean` Body param: Whether to include metadata in the response. ### Returns - `NamespaceBulkGetResponse = WorkersKVBulkGetResult | WorkersKVBulkGetResultWithMetadata | null` - `WorkersKVBulkGetResult` - `values?: Record>` Requested keys are paired with their values in an object. - `string` - `number` - `boolean` - `Record` - `WorkersKVBulkGetResultWithMetadata` - `values?: Record` Requested keys are paired with their values and metadata in an object. - `metadata: unknown` The metadata associated with the key. - `value: unknown` The value associated with the key. - `expiration?: number` Expires the key at a certain time, measured in number of seconds since the UNIX epoch. ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const response = await client.kv.namespaces.bulkGet('0f2ac74b498b48028cb68387c421e279', { account_id: '023e105f4ecef8ad9ca31a8372d0c353', keys: ['My-Key'], }); console.log(response); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": { "values": { "key1": "value1", "key2": "value2" } } } ```